Bug 1117965 - Fedora needs per-Product Configuration files
Summary: Fedora needs per-Product Configuration files
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 21
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1120296
TreeView+ depends on / blocked
 
Reported: 2014-07-09 17:34 UTC by Stephen Gallagher
Modified: 2015-11-09 14:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 14:05:40 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2014-07-09 17:34:20 UTC
Description of problem:
With the Fedora.next initiative and three new Product deliverables coming, we need to have the ability to support different default configurations for packages when they are installed on different products.

The representative example is firewalld, which will be shipped with a different set of default firewall rules on Fedora Server and Fedora Workstation. There will likely be others in the future.

Additional information:
FPC Ticket: https://fedorahosted.org/fpc/ticket/446
Draft Guideline Proposal: https://fedoraproject.org/wiki/Per-Product_Configuration_Packaging_Draft

Comment 1 Stephen Gallagher 2014-07-09 17:53:25 UTC
Creation of the new Fedora Products requires the ability for these products to differentiate their initial configuration states.

https://fedoraproject.org/wiki/Fedora_21_Alpha_Release_Criteria#Firewall_configuration is one representative justification. Others may exist.

Comment 2 Adam Williamson 2014-07-16 16:36:40 UTC
Discussed at the 2014-07-16 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-07-16/f21-blocker-review.2014-07-16-15.59.log.txt . This bug per se is rejected as a release blocker, as it does not violate the criteria in itself; it's more a dependency of at least one (and possibly more) bugs that *do* violate the criteria. We've filed https://bugzilla.redhat.com/show_bug.cgi?id=1120296 for the Server firewall issue and accepted it as a release blocker, and it depends on this bug, so this bug is now a dependency of a release blocker, which gives it 'release blocker powers' - this is the setup we're comfortable with.

Comment 3 Fedora End Of Life 2015-11-04 10:14:13 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Stephen Gallagher 2015-11-09 14:05:40 UTC
This has been available since F21 GA.


Note You need to log in before you can comment on or make changes to this bug.